/* imports */
@import url("https://fonts.googleapis.com/css?family=Quicksand|Source+Sans+Pro&display=swap");

body,
html {
  font-size: 16px;
  font-family: sans-serif;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;

  /* variables */
  --heading: "Quicksand", sans-serif;
  --paragraph: "Source Sans Pro", sans-serif;

  --banner-bg: url(https://images.unsplash.com/photo-1472820555436-84b6cad88e04?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=753&q=80);
  --section-bg: url(https://images.unsplash.com/photo-1554209377-15e1415c9936?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=750&q=80);
  --project-bg: url(https://images.unsplash.com/photo-1536637822328-19377a638a74?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=750&q=80);

  --black: #111;
  --darker: #222;
  --dark: #333;
  --mid: #666;
  --light: #999;
  --white: #fff;
  --blue: #00b5cc;

  --glass-1: rgba(17, 17, 17, 0.9);
  --glass-2: rgba(17, 17, 17, 0.7);
  --glass-3: rgba(17, 17, 17, 0.6);
  --glass-4: rgba(51, 51, 51, 0.8);
  --glass-5: rgba(255, 255, 255, 0.8);

  --easeOut: all 0.3s ease-out;
}

h1,
h2,
h3 {
  font-family: var(--heading);
}

p,
a,
.btn {
  font-family: var(--paragraph);
}
a {
  text-decoration: none;
}

.btn {
  display: block;
  margin: 1rem;
  padding: 0.4rem 1rem;

  border-radius: 15px;
  border: 2px solid var(--blue);

  background: var(--dark);
  color: var(--white);

  text-align: center;
  text-transform: capitalize;
  transition: var(--easeOut);
}
.btn:hover {
  cursor: pointer;
  background-color: var(--glass-1);
}

/* Top bar styles */
header {
  padding: 0.6rem 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: var(--glass-4);
  position: fixed;
  top: 0;
  left: 0;
  z-index: 4;
  width: 100%;
  box-sizing: border-box;
  border-bottom: 2px solid var(--light);

  transition: var(--easeOut);
}
header:hover {
  background-color: var(--glass-1);
}

.brand {
  font-size: 1.2rem;
  font-family: var(--heading);
  font-weight: bold;
  color: var(--white);

  transition: var(--easeOut);
}

.brand:hover {
  color: var(--blue);
}

.menu i {
  color: var(--white);
  transition: var(--easeOut);
}
.menu i:hover {
  cursor: pointer;
  color: var(--blue);
}

nav {
  display: flex;
  flex-direction: column;
  background-color: var(--glass-2);
  position: fixed;
  top: -55vh;
  left: 0;
  z-index: 2;
  width: 100%;
  box-sizing: border-box;
}
nav.shown {
  top: 45px;
}
nav .nav-link {
  display: block;
  padding: 1rem;
  border-bottom: 1px solid var(--mid);
  color: var(--white);
  text-align: center;
  text-transform: uppercase;

  transition: var(--easeOut);
}
nav .nav-link:hover {
  background-color: var(--glass-1);
  color: var(--blue);
}

/* Banner styles */
.banner {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: var(--banner-bg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.banner .banner-head,
.banner .banner-p {
  text-align: center;
  color: var(--white);
  text-shadow: 0 2px #333;
}
.banner .banner-head {
  font-size: 2rem;
}
.banner .banner-p {
  font-style: italic;
}
.banner .btn {
  margin-top: 3rem;
  background: var(--glass-2);
  padding: 0.8rem 1.2rem;
}
.banner .btn:hover {
  background-color: var(--glass-1);
}

/* Portfolio styles */
.portfolio {
  background: var(--white);
  padding: 5rem 2rem;
}
.portfolio .project {
  margin-bottom: 2rem;
  box-sizing: border-box;
  height: 50vh;
  overflow: hidden;
}
.portfolio .project .p-img {
  background: var(--project-bg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  width: 100%;
  height: 100%;
}
.portfolio .project .overlay {
  box-sizing: border-box;
  padding: 0.5rem 2rem;
  width: 100%;
  height: 30%;
  color: var(--white);
  background-color: var(--glass-2);
  position: relative;

  top: -30%;
}
.portfolio .project .overlay.show-overlay {
  height: 100%;
  top: -100%;
}
.portfolio .project .overlay .p-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.portfolio .project .overlay .p-head .circle.btn {
  padding: 1rem;

  border-radius: 50%;
  border: 1px solid var(--white);
  display: flex;
  justify-content: center;
  align-items: center;
}
.portfolio .project .overlay .p-head .circle.btn i {
  color: var(--white);
}
.project .overlay .p-head .circle.btn:hover {
  border: 2px solid var(--blue);
  background-color: var(--glass-2);
  cursor: pointer;
}
.project .overlay .p-head .circle.btn i:hover {
  color: var(--blue);
  cursor: pointer;
}

.overlay .p-links {
  display: flex;
  justify-content: center;
  align-self: flex-end;
}
.overlay p {
  text-align: justify;
}
.overlay a {
  display: block;
  padding: 0.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-width: 30%;
  max-width: 40%;
}

/* Section styles */
.bg {
  background: var(--section-bg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  width: 100%;
  min-height: 100vh;
  padding: 1rem 0;
  overflow: hidden;
}
.bg section {
  background-color: var(--glass-5);
  max-width: 75%;
  min-height: 60vh;
  margin: 40px auto;
  padding: 1rem 2rem;
  box-sizing: border-box;
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: 0 1px 1px 2px var(--light);
  border: none;
  border-radius: 3px;
}
.bg section .head-1 {
  font-size: 2.5rem;
}
.bg section p,
.bg section h2,
.bg section h3 {
  text-align: center;
}

.skills .btn {
  margin-top: 2.5rem;
}
.bg section .course {
  margin-bottom: 2rem;
}

.bg section.about {
  min-height: 20vh;
}
.bg section.about .head-2 {
  margin-bottom: 0;
}
.bg section.about p {
  text-align: justify;
}

/* contact styles */
.contact {
  width: 100%;

  padding: 2rem 1rem;

  background-color: var(--glass-2);
  color: var(--white);
  display: flex;
  flex-direction: column;
  align-items: center;
  box-sizing: border-box;
  /* text-align: center; */
}
.contact .text-box {
  width: 100%;
  box-sizing: border-box;
  margin: 1rem 0;
  padding: 0.5rem 1rem;
  font-family: var(--paragraph);
  font-size: 1.2rem;
  border-radius: 10px 10px 0px 0px;
  border: none;
  border-bottom: 2px solid var(--mid);
  background-color: var(--glass-2);
  color: var(--white);
}

.contact .text-box:focus {
  outline: none;
  border-bottom-color: var(--blue);
}
.contact input[type="submit"] {
  margin: 0 auto;
}

.contact .action-link {
  display: block;
  margin: 2rem 0;
  padding: 0.3rem 0;
  color: var(--white);
  border-bottom: 1px solid var(--blue);
}
.contact .action-link:hover {
  border-width: 2px;
  padding: 0.3rem;
  cursor: pointer;

  transition: var(--easeOut);
}
.contact .my-email {
  visibility: hidden;
}

/* Footer styles */
footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1rem;
  margin-top: -1rem;
  background-color: var(--black);
}
footer .foot-link {
  margin: 0 1rem;
  color: var(--light);

  transition: var(--easeOut);
}
footer .foot-link:hover {
  color: var(--blue);
}
footer p {
  color: var(--light);
  text-align: center;
}
footer a {
  color: var(--blue);
}

/* media queries */
@media (max-width: 320px) {
  .portfolio .project .overlay {
    box-sizing: border-box;
    padding: 0.5rem 1rem;
    width: 100%;
    height: 30%;
    color: var(--white);
    background-color: var(--glass-2);
    position: relative;

    top: -30%;
  }
  .overlay.show-overlay .p-head {
    transform: scale(0.8, 0.8);
  }
  .overlay.show-overlay p {
    margin-top: 0;
  }
  .overlay.show-overlay .btn {
    margin-top: 0;
  }
}

@media (min-width: 426px) and (max-width: 599px) {
  .portfolio .port-head {
    text-align: center;
    margin-bottom: 2rem;
  }
  .portfolio .project {
    margin-bottom: 2rem;
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
    max-width: 70%;
    min-height: 50vh;
    overflow: hidden;
  }
  .portfolio .project .overlay {
    height: 25%;
    top: -25%;
  }

  .bg section.skills .skill-group {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
  }
  .bg section.skills .skill-group p {
    padding: 0 1rem;
  }
  .bg section.education .course {
    width: 90%;
  }
  .bg section.education .course .head-3,
  .bg section.education .course p {
    text-align: justify;
  }
  .bg section.education .course p {
    padding: 0 2rem;
  }
  .bg section.education .course .btn {
    margin-right: 1rem;
    margin-left: auto;
    max-width: 20%;
  }
}
@media (min-width: 600px) and (max-width: 729px) {
  .portfolio .port-head {
    text-align: center;
    margin-bottom: 2rem;
  }
  .portfolio .project {
    margin-bottom: 2rem;
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
    max-width: 65%;
    min-height: 45vh;
    overflow: hidden;
  }
  .portfolio .project .overlay {
    height: 20%;
    top: -20%;
  }

  .bg section.skills .skill-group {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
  }
  .bg section.skills .skill-group p {
    padding: 0 1rem;
  }
  .bg section.education .course {
    width: 90%;
  }
  .bg section.education .course .head-3,
  .bg section.education .course p {
    text-align: justify;
  }
  .bg section.education .course p {
    padding: 0 2rem;
  }
  .bg section.education .course .btn {
    margin-right: 1rem;
    margin-left: auto;
    max-width: 20%;
  }
}

@media (min-width: 730px) {
  .header .menu,
  .menu i {
    display: none;
    visibility: hidden;
    width: 0;
    height: 0;
  }
  .header {
    width: 30%;
    display: block;
    padding-left: 3rem;
    box-sizing: border-box;
  }
  nav {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    background: transparent;
    position: fixed;
    top: 0;
    left: 30%;
    z-index: 4;
    width: 70%;
    box-sizing: border-box;
    /* border-bottom: 2px solid var(--light); */
    border: none;
    box-sizing: border-box;
  }

  nav .nav-link {
    display: block;
    padding: 0.7rem 2rem;
    /* border-bottom: 1px solid var(--mid); */
    color: var(--white);
    text-align: center;
    text-transform: uppercase;

    transition: var(--easeOut);
  }
  nav .nav-link:hover {
    background-color: var(--glass-1);
    color: var(--blue);
  }

  .banner-head {
    transform: scale(2, 2);
  }
  .banner-p {
    transform: scale(1.5, 1.5);
  }
  .portfolio .port-head {
    text-align: center;
  }
  .projects {
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1rem;

    margin: 0 auto;
    max-width: 80%;
  }

  .project .p1 {
    grid-row: 1/2;
    grid-column: 1/2;
  }
  .project .p2 {
    grid-row: 1/2;
    grid-column: 2/3;
  }
  .project .p3 {
    grid-row: 2/3;
    grid-column: 1/2;
  }
  .project .p4 {
    grid-row: 2/3;
    grid-column: 2/3;
  }
  .portfolio .project .overlay {
    box-sizing: border-box;
    padding: 0.5rem 2rem;
    width: 100%;
    height: 25%;
    color: var(--white);
    background-color: var(--glass-2);
    position: relative;

    top: -25%;
  }
  .bg section.skills .skill-group {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
  }
  .bg section.skills .skill-group p {
    padding: 0 1rem;
  }
  .bg section.education .course {
    width: 90%;
  }
  .bg section.education .course .head-3,
  .bg section.education .course p {
    text-align: justify;
  }
  .bg section.education .course p {
    padding: 0 2rem;
  }
  .bg section.education .course .btn {
    margin-right: 1rem;
    margin-left: auto;
    max-width: 20%;
  }
}
@media (min-width: 1030px) {
  .portfolio {
    min-height: 80vh;
  }
  .portfolio .port-head {
    text-align: center;
  }
  .projects {
    display: grid;
    grid-template-areas: "p1 p2" "p3 p4";
    gap: 1rem;
    max-height: 95%;
    max-width: 75%;
  }
  .project {
    height: 100%;
    width: 100%;
  }

  .project .p1 {
    grid-area: p1;
  }
  .project .p2 {
    grid-area: p2;
  }
  .project .p3 {
    grid-area: p3;
  }
  .project .p4 {
    grid-area: p4;
  }
  .portfolio .project .overlay {
    box-sizing: border-box;
    padding: 0.5rem 2rem;
    width: 100%;
    height: 30%;
    color: var(--white);
    background-color: var(--glass-2);
    position: relative;

    top: -30%;
  }
  .bg section {
    max-width: 960px;
  }
  .bg section.skills .skill-group {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
  }
  .bg section.skills .skill-group p {
    padding: 0 1rem;
  }
  .bg section.education .course {
    width: 75%;
  }
  .bg section.education .course .head-3,
  .bg section.education .course p {
    text-align: justify;
  }
  .bg section.education .course p {
    padding: 0 2rem;
  }
  .bg section.education .course .btn {
    margin-right: 1rem;
    margin-left: auto;
    max-width: 20%;
  }
}
